Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# pixel_value_type Struct Template Reference
[xxx_type]

`#include <metafunctions.hpp>`

List of all members.

## Detailed Description

### template<typename Channel, typename Layout>
struct boost::gil::pixel_value_type< Channel, Layout >

Returns the type of a homogeneous pixel given the channel type and layout.

## Public Types

typedef pixel< Channel, Layout > | type

The documentation for this struct was generated from the following file:

- metafunctions.hpp